function MistWeaver_InitEditmode()
    
    EditModeManagerFrame:HookScript("OnShow", MistWeaver_EditmodeButton_EnterEditMode);
    EditModeManagerFrame:HookScript("OnHide", MistWeaver_EditmodeButton_ExitEditMode);

    local editmodeButton = CreateFrame("Button", "MwEditModeButton", MistWeaverFrame);
    editmodeButton:SetWidth(435);
    editmodeButton:SetHeight(340);
    editmodeButton:ClearAllPoints();

    editmodeButton:SetFrameStrata("TOOLTIP");
    
    editmodeButton:SetPoint("TOPLEFT", MistWeaverFrame, "TOPLEFT", -55, 10);

    editmodeButton:SetNormalTexture("Interface\\Addons\\Mistweaver\\images\\editmode");

    editmodeButton:HookScript("OnMouseDown", MistWeaver_EditmodeButton_OnMouseDown);
    editmodeButton:HookScript("OnMouseUp", MistWeaver_EditmodeButton_OnMouseUp);

    editmodeButton:Hide();
end

function MistWeaver_EditmodeButton_EnterEditMode()
    MwEditModeButton:Show();
end

function MistWeaver_EditmodeButton_ExitEditMode()
    MwEditModeButton:Hide();
end

function MistWeaver_EditmodeButton_OnMouseDown(frame, button)
    MistWeaverFrame:StartMoving();
end

function MistWeaver_EditmodeButton_OnMouseUp(frame, button)
    MistWeaverFrame:StopMovingOrSizing();
end
